Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.olap.xmla
Class JRXmlaResult

    java.lang.Object
      net.sf.jasperreports.olap.xmla.JRXmlaResult

All Implemented Interfaces:
  JROlapResult

    public class JRXmlaResult

extends java.lang.Object
implements JROlapResult

Version:
  $Id: JRXmlaResult.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRXmlaResult()`

Method Summary
`void` | `addAxis(JRXmlaResultAxis axis)`
`protected JRXmlaResultAxis[]` | `ensureAxisArray()`
`protected void` | `ensureCellOrdinalFactors()`
`JROlapResultAxis[]` | `getAxes()`
`JRXmlaResultAxis` | `getAxisByName(java.lang.String name)`
`JROlapCell` | `getCell(int[] axisPositions)`
`protected int` | `getCellOrdinal(int[] axisPositions)`
`protected void` | `resetAxisArray()`
`void` | `setCell(JRXmlaCell cell, int cellOrdinal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRXmlaResult

    public JRXmlaResult()

Method Detail

### getAxes

    public JROlapResultAxis[] getAxes()

  Specified by:
    `getAxes` in interface `JROlapResult`

### getCell

    public JROlapCell getCell(int[] axisPositions)

  Specified by:
    `getCell` in interface `JROlapResult`

### getCellOrdinal

    protected int getCellOrdinal(int[] axisPositions)

### addAxis

    public void addAxis(JRXmlaResultAxis axis)

### getAxisByName

    public JRXmlaResultAxis getAxisByName(java.lang.String name)

### ensureAxisArray

    protected JRXmlaResultAxis[] ensureAxisArray()

### ensureCellOrdinalFactors

    protected void ensureCellOrdinalFactors()

### resetAxisArray

    protected void resetAxisArray()

### setCell

    public void setCell(JRXmlaCell cell,
                        int cellOrdinal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com